Get Comments By User Address
Returns Gamma-compatible comments filtered by user address
Path Parameters
user_address*string
User or proxy wallet address
Query Parameters
limit?integer
Maximum number of rows to return.
offset?integer
Offset for pagination.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/comments/user_address/string"[
{
"id": "string",
"body": "string",
"parentEntityType": "string",
"parentEntityID": 0,
"parentCommentID": "string",
"userAddress": "string",
"replyAddress": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"profile": {
"name": "string",
"pseudonym": "string",
"displayUsernamePublic": true,
"bio": "string",
"isMod": true,
"isCreator": true,
"proxyWallet": "string",
"baseAddress": "string",
"profileImage": "string",
"profileImageOptimized": {},
"positions": [
{
"tokenId": "string",
"positionSize": "string"
}
]
},
"reactions": [
{}
],
"reportCount": 0,
"reactionCount": 0,
"replyCount": 0,
"replies": [
{
"id": "string",
"body": "string",
"parentEntityType": "string",
"parentEntityID": 0,
"parentCommentID": "string",
"userAddress": "string",
"replyAddress": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"profile": {
"name": "string",
"pseudonym": "string",
"displayUsernamePublic": true,
"bio": "string",
"isMod": true,
"isCreator": true,
"proxyWallet": "string",
"baseAddress": "string",
"profileImage": "string",
"profileImageOptimized": {},
"positions": [
{
"tokenId": "string",
"positionSize": "string"
}
]
},
"reactions": [
{}
],
"reportCount": 0,
"reactionCount": 0,
"replyCount": 0,
"replies": []
}
]
}
]{
"type": "bad request",
"error": "q is required"
}{
"type": "not found error",
"error": "id not found"
}